Subject: Re: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 16 Jun 2019 23:06:53 -0700

Eric Abrahamsen <[email-masked]> writes:

> This is part two and the completion of bug#33653, which changed Gnus's
> obarrays into hash tables, and group names from symbols to (encoded)
> strings. The commits in the recently-pushed "scratch/gnus-decoded"
> branch change group names to decoded strings.

I think the code in scratch/gnus-decoded is nearing "ready". I've got a
few testers who have flushed out some good bugs, but it would be nice to
have a couple more.

This change was supposed to involve an update to Gnus' data files
(non-ascii group names would be encoded properly as utf-8). But I ended up
putting in code that maintains the status quo, pending a future bump to
Gnus' version. That will trigger an upgrade that the user has to okay,
and alert them that their data files are no longer backwards-usable.

I do hope to get another tester or two, though!

Eric